columns:
  background_color:
    type: character(10)
    default: "''::bpchar"
  base_nationale:
    type: character(1)
    default: "'0'::bpchar"
  base_nationale_qualifiee:
    type: character(1)
    default: "'0'::bpchar"
  border_thickness:
    type: integer
    default: "0"
  calc_formula:
    type: text
    default: "''::text"
  color:
    type: character(10)
    default: "''::bpchar"
  compared_indicator_id:
    type: bigint
    default: "0"
  description:
    type: text
    default: "''::text"
  description_2:
    type: text
    default: "''::text"
  entete:
    type: character varying(255)
    default: "''::character varying"
  entete_etendue:
    type: character varying(255)
    default: "''::character varying"
  entete_etendue_2:
    type: text
    default: "''::text"
  erase_rapport_indicateur_condition:
    type: text
    default: "'0'::text"
  field_tag:
    type: text
    default: "''::text"
  font_size:
    type: integer
    default: "0"
  font_weight:
    type: character(10)
    default: "'normal'::bpchar"
  hide_on_zero_field:
    type: text
    default: "''::text"
  indicateur_associe_id:
    type: bigint
    default: "0"
  indicateur_condition_id:
    type: 'bigint[]'
  indicateur_id:
    type: bigint
    default: "0"
  is_hide:
    type: text
    default: "'0'::text"
  last_sql:
    type: text
    default: "''::text"
  last_sql_error:
    type: text
    default: "''::text"
  numero_rubrique:
    type: integer
    not_null: NOT NULL
  option:
    type: text
    default: "''::text"
  output_format:
    type: text
    default: "''::text"
  output_format_2:
    type: text
    default: "''::text"
  padding:
    type: integer
    default: "0"
  periode_reference:
    type: character(3)
  picto_enabled:
    type: character(1)
    default: "'1'::bpchar"
    comment: "Affiche ou non le pictogramme selon la tendance de l''indicateur (par défaut oui)"
  picto_enabled_2:
    type: text
    default: "''::text"
  positif_is_good:
    type: character(1)
    default: "'1'::bpchar"
    comment: Indique si une tendance positive est une bonne chose ou non (par défaut oui)
  positif_is_good_2:
    type: text
    default: "''::text"
  rapport_id:
    type: bigint
    not_null: NOT NULL
    default: "0"
  row_height:
    type: integer
    default: "0"
  serie_description:
    type: 'text[]'
  serie_entete_etendue:
    type: 'text[]'
  serie_indicateur_id:
    type: 'bigint[]'
  serie_output_format:
    type: 'text[]'
  serie_picto_enabled:
    type: 'text[]'
  serie_positif_is_good:
    type: 'text[]'
  specific_viewlink:
    type: text
    default: "''::text"
  specific_viewlink_label:
    type: text
    default: "''::text"
  specific_viewlink_param:
    type: text
    default: "''::text"
  viewlink:
    type: text
    default: "''::text"
    comment: "Nom de la vue à ouvrir à partir des Essentiels pour l''accès aux détails de l''indicateur"
  viewlink_label:
    type: text
    default: "''::text"
    comment: Texte du lien vers la vue de détails
  viewlink_param:
    type: text
    default: "''::text"
    comment: Paramétrage des regroupements et des filtres pour les Viewlinks des Essentiels
  width:
    type: numeric
    default: "0"
constraints:
  t_rapports_rubriques_pkey:
    type: PRIMARY KEY
    column: numero_rubrique, rapport_id